Page MenuHomePhabricator

Remove usage of fontawesome-webfont.woff to save 1 second load time
Closed, DeclinedPublic

Description

http://www.webpagetest.org/result/150114_H2_1646/4/details/
http://www.webpagetest.org/result/150114_5K_164D/7/details/
In Chrom(e|ium), the font is loaded last and "blocks" the completion of the page loading for about 1 second.

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2015, 10:42 PM
Qgil added a subscriber: Qgil.Jan 14 2015, 11:16 PM

Are you asking to remove all the icons provided by fontawesone to save that second?

Just curious: is this extra second for the first load of a page within a session or more, or for every page the user loads?

Qgil set Security to None.

I don't experience page load times of more than a couple of seconds, total

Qgil triaged this task as Low priority.Jan 15 2015, 6:28 AM

Even before looking at graphs, is there a problem of perceived slowness of Phabricator. I haven't heard any complaints about the speed of pages downloading, except for those related with the Maniphest reports (reported upstream, special case) and the Sprint app (resolved). In fact, I have heard a couple of comments about users happy because pages load fast. In my own experience, I don't think we have a problem at all here.

Upstream clearly will reject this proposal because they are increasingly invested in Fontawesome as a source for icons. Downstream we will not embark in the maintenance of such deviation from upstream, not even mention that we don't want to embark in any discussion with users surprised because the icons are now gone.

I propose to decline this task.

Aklapper lowered the priority of this task from Low to Lowest.Jan 15 2015, 11:29 AM

What's the actual proposal? Not using any logos at all (makes differentiation harder in some cases)?
Using icon (image) files that likely won't save a second either?
Don't browser have a cache for webfonts so they should only get downloaded the first time (in theory)?

It's a bit unclear to me what the proposal is. Simplify removing it does not make Phabricator a better experience for users but worse IMO.

Qgil closed this task as Declined.Feb 13 2015, 9:44 PM
Qgil claimed this task.

Declining, for the reasons explained.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:03 PM